## ShellEmbeddedWindow

ShellEmbeddedWindow

## Synopsis

    struct              ShellEmbeddedWindow;
    struct              ShellEmbeddedWindowClass;
    GtkWidget *         shell_embedded_window_new           (ClutterStage *stage);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkWindow
                                     +----ShellEmbeddedWindow

## Implemented Interfaces

ShellEmbeddedWindow implements AtkImplementorIface and GtkBuildable.

## Properties

      "stage"                    ClutterStage*         : Write / Construct Only

## Description

## Details

### struct ShellEmbeddedWindow

    struct ShellEmbeddedWindow;

### struct ShellEmbeddedWindowClass

    struct ShellEmbeddedWindowClass {
      GtkWindowClass parent_class;
    };

### shell_embedded_window_new ()

    GtkWidget *         shell_embedded_window_new           (ClutterStage *stage);

## Property Details

### The `"stage"` property

      "stage"                    ClutterStage*         : Write / Construct Only

ClutterStage to embed on.